package ARDB::Plugin::Processing::ACIS_UD;

use strict;

use base ( 'ARDB::Plugin::Processing' );

sub config
 {
  return 'configuration.xml';
 }

sub get_record_types
 {
  my $self = shift;

  return
   [ 
    'acis-user', 
    'acis-record-person', 
   ];
 }

sub process_record
 {
  my $self   = shift;
  my $record = shift;
  my $ardb   = shift;
  
  return 1;
 } 

sub generate_nameset
 {
  my $self   = shift;
  my $record = shift;
  
  my $nameset = {};
  $nameset -> {$record -> {'full-name'}} = 1;
  foreach (@{$record -> {'name-variations'}})
   {
    $nameset -> {$_} = 1;
   }

  $record -> {'nameset'} = join "\n", keys %$nameset;
 }
 
1;

